{
  "openapi": "3.0.1",
  "info": {
    "title": "Marketcheck Intelligence Toolkit",
    "description": "Get vehicle data, valuations, and market insights without building MarketCheck integrations. Decode VINs, search listings, get fair prices, and check recalls. Bring your own API key (500 free calls/month).",
    "version": "1.0",
    "x-build-id": "TFQv0ZUggJvD52RjU"
  },
  "servers": [
    {
      "url": "https://api.apify.com/v2"
    }
  ],
  "paths": {
    "/acts/clever_mandate~marketcheck-intelligence-toolkit/run-sync-get-dataset-items": {
      "post": {
        "operationId": "run-sync-get-dataset-items-clever_mandate-marketcheck-intelligence-toolkit",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for its completion, and returns Actor's dataset items in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    },
    "/acts/clever_mandate~marketcheck-intelligence-toolkit/runs": {
      "post": {
        "operationId": "runs-sync-clever_mandate-marketcheck-intelligence-toolkit",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor and returns information about the initiated run in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/runsResponseSchema"
                }
              }
            }
          }
        }
      }
    },
    "/acts/clever_mandate~marketcheck-intelligence-toolkit/run-sync": {
      "post": {
        "operationId": "run-sync-clever_mandate-marketcheck-intelligence-toolkit",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for completion, and returns the OUTPUT from Key-value store in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "inputSchema": {
        "type": "object",
        "required": [
          "apiKey",
          "jobType"
        ],
        "properties": {
          "apiKey": {
            "title": "API Key",
            "type": "string",
            "description": "Your MarketCheck API key"
          },
          "jobType": {
            "title": "What do you want to do?",
            "enum": [
              "decodeVin",
              "searchInventory",
              "vehicleValuation",
              "marketSnapshot",
              "recallCheck",
              "rawEndpointCall"
            ],
            "type": "string",
            "description": "Choose an action"
          },
          "vertical": {
            "title": "Vehicle type",
            "enum": [
              "cars",
              "rv",
              "motorcycles",
              "powersports",
              "heavy_equipment"
            ],
            "type": "string",
            "description": "What kind of vehicle?",
            "default": "cars"
          },
          "vin": {
            "title": "VIN",
            "type": "string",
            "description": "17-character Vehicle Identification Number (for decode, valuation, or recall)"
          },
          "searchCriteria": {
            "title": "Search filters",
            "type": "object",
            "description": "Narrow by make, model, year, or ZIP. Leave blank for broad results.",
            "properties": {
              "make": {
                "type": "string",
                "title": "Make",
                "description": "e.g. Honda, RAM, Winnebago"
              },
              "model": {
                "type": "string",
                "title": "Model",
                "description": "e.g. Civic, 1500, Sportster"
              },
              "year": {
                "type": "integer",
                "title": "Year",
                "description": "Model year"
              },
              "yearMin": {
                "type": "integer",
                "title": "Year (min)",
                "description": "Earliest model year"
              },
              "yearMax": {
                "type": "integer",
                "title": "Year (max)",
                "description": "Latest model year"
              },
              "zip": {
                "type": "string",
                "title": "ZIP code",
                "description": "Search near this location"
              },
              "radius": {
                "type": "integer",
                "title": "Radius (miles)",
                "description": "Search area around ZIP (max 100 on Free/Basic)",
                "default": 100
              },
              "rows": {
                "type": "integer",
                "title": "Results per page",
                "description": "Max 50",
                "default": 50
              },
              "start": {
                "type": "integer",
                "title": "Pagination offset",
                "description": "Skip first N results",
                "default": 0
              }
            }
          },
          "strictness": {
            "title": "Valuation match strictness",
            "enum": [
              "broad",
              "balanced",
              "strict"
            ],
            "type": "string",
            "description": "How closely must comparables match? (valuation only)",
            "default": "balanced"
          },
          "endpointConfig": {
            "title": "Raw endpoint",
            "type": "object",
            "description": "For raw API calls: endpoint slug and parameters",
            "properties": {
              "endpointSlug": {
                "type": "string",
                "title": "Endpoint",
                "description": "e.g. search-car-active, decode-car, autorecalls-car"
              },
              "customPath": {
                "type": "string",
                "title": "Custom path",
                "description": "Or use full path: /v2/search/car/active"
              },
              "pathParams": {
                "type": "object",
                "title": "Path parameters",
                "description": "e.g. { \"vin\": \"...\" }"
              },
              "queryParams": {
                "type": "object",
                "title": "Query parameters",
                "description": "Extra filters as key-value pairs"
              }
            }
          },
          "outputMode": {
            "title": "Output detail",
            "enum": [
              "summary",
              "normalized",
              "raw",
              "all"
            ],
            "type": "string",
            "description": "How much data to return",
            "default": "summary"
          }
        }
      },
      "runsResponseSchema": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              },
              "actId": {
                "type": "string"
              },
              "userId": {
                "type": "string"
              },
              "startedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "finishedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "status": {
                "type": "string",
                "example": "READY"
              },
              "meta": {
                "type": "object",
                "properties": {
                  "origin": {
                    "type": "string",
                    "example": "API"
                  },
                  "userAgent": {
                    "type": "string"
                  }
                }
              },
              "stats": {
                "type": "object",
                "properties": {
                  "inputBodyLen": {
                    "type": "integer",
                    "example": 2000
                  },
                  "rebootCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "restartCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "resurrectCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "computeUnits": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "options": {
                "type": "object",
                "properties": {
                  "build": {
                    "type": "string",
                    "example": "latest"
                  },
                  "timeoutSecs": {
                    "type": "integer",
                    "example": 300
                  },
                  "memoryMbytes": {
                    "type": "integer",
                    "example": 1024
                  },
                  "diskMbytes": {
                    "type": "integer",
                    "example": 2048
                  }
                }
              },
              "buildId": {
                "type": "string"
              },
              "defaultKeyValueStoreId": {
                "type": "string"
              },
              "defaultDatasetId": {
                "type": "string"
              },
              "defaultRequestQueueId": {
                "type": "string"
              },
              "buildNumber": {
                "type": "string",
                "example": "1.0.0"
              },
              "containerUrl": {
                "type": "string"
              },
              "usage": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "integer",
                    "example": 1
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "usageTotalUsd": {
                "type": "number",
                "example": 0.00005
              },
              "usageUsd": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "number",
                    "example": 0.00005
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}